Address by transaction output reference
curl --request GET \
--url https://mainnet.gomaestro-api.org/v1/transactions/{tx_hash}/outputs/{index}/address \
--header 'api-key: <api-key>'import requests
url = "https://mainnet.gomaestro-api.org/v1/transactions/{tx_hash}/outputs/{index}/address"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://mainnet.gomaestro-api.org/v1/transactions/{tx_hash}/outputs/{index}/address', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": "addr_test1wzdtu0djc76qyqak9cj239udezj2544nyk3ksmfqvaksv7c9xanpg",
"last_updated": {
"timestamp": "2022-10-10 20:25:28",
"block_hash": "8cd56aae0fc966903b2b215a477d57e7b3f4a225af3eeea4b62be724c9fa1195",
"block_slot": 32295075
}
}Transactions
Address by transaction output reference
Get the address associated with a specific Cardano transaction output by transaction hash and output index.
GET
/
transactions
/
{tx_hash}
/
outputs
/
{index}
/
address
Address by transaction output reference
Authorizations
Project API Key
Path Parameters
Transaction Hash
Output Index
Required range:
x >= 0Response
Get an address via a transaction output reference
Timestamped response. Returns the endpoint response data along with the chain-tip of the indexer, which details at which point in the chain's history the data was correct as-of.
Was this page helpful?

